function cfg=configCheck(cfg)
%called by ELextract. Checks whether the cfg file contains the required
%fields. Will set defaults if any are missing


%check fields
if ~isfield(cfg, 'firstfix')
    cfg.firstfix = 0;
    fprintf('Ignoring first fixation\n');
end

if ~isfield(cfg, 'readall')
    cfg.readall = 1;
    fprintf('Reading all files\n');
end
% 
% if ~isfield(cfg, 'orig_mat_name')
%     cfg.orig_mat_name = ...
%         input('Enter behavioural data filenames. Assumes the\nfilename begins with participant number:');
% end

% if ~isfield(cfg, 'draw_fixes')
%     cfg.draw_fixes = 0;
%     fprintf('Will not draw fixation plots\n');    
% end

if ~isfield(cfg, 'writetofile')
    cfg.writetofile = 1;
    fprintf('Writing data to csv file\n');
end
   
if ~isfield(cfg, 'movefiles')
    cfg.movefiles = 1;
    fprintf('Organising image files\n');
end

if ~isfield(cfg, 'idxDisp')
    cfg.idxDisp = 0;
    fprintf('Suppressing row number printing\n');
elseif cfg.idxDisp == -1
    cfg.idxDisp = 0;
end

if ~isfield(cfg, 'trialDisp')
    cfg.trialDisp = 1;
    fprintf('Showing all trial IDs\n');
elseif cfg.trialDisp == -1
    cfg.trialDisp = 0; %results in NaN
end

if ~isfield(cfg, 'minFixDur')
    cfg.minFixDur = 0;
    fprintf('No minimum duration for fixation threshold\n');
end


if ~isfield(cfg, 'debugTrial')
    cfg.debugTrial = 2000; %set it to something
end

if ~isfield(cfg, 'suppressnofix')
    cfg.suppressnofix = 0;
    fprintf('don''t suppress first fixation\n');
end



if isfield(cfg, 'ELidentifiers')
    if ~isfield(cfg.ELidentifiers, 'secname')
        cfg.ELidentifiers.secname = input('Enter {''cell''} of messages in ASCII\nfile that separate sections: ');
    end
    
    if ~isfield(cfg.ELidentifiers, 'secpos')
        cfg.ELidentifiers.secpos = input('Enter [vector] for position of\nsecnames in the ASCII data line: ');
    end
    
%     if ~isfield(cfg.ELidentifiers, 'secvalpos')
%         cfg.ELidentifiers.secvalpos = input('Enter [vector] for position of\n unique values to return (eg section numbers): ');
%     end
%     
    if ~isfield(cfg.ELidentifiers, 'recordnames')
        cfg.ELidentifiers.recordnames = input('Means of identifying trials, blocks etc (eg {TRIALID}): ');
    end
    
    if ~isfield(cfg.ELidentifiers, 'recordpos')
        cfg.ELidentifiers.recordpos = input('Enter [vector] for position of\n recordnames in the ASCII data line: ');
    end
    
%     if ~isfield(cfg.ELidentifiers, 'recordvalpos')
%         cfg.ELidentifiers.recordvalpos = input('Enter [vector] for position of\ntrial IDs in the ASCII data line: ');
%     end
    
else
    cfg.ELidentifiers.secname = input('Enter {''cell''} of messages in ASCII\nfile that separate sections: ');
    cfg.ELidentifiers.secpos = input('Enter [vector] for position of\nsecnames in the ASCII data line: ');
    cfg.ELidentifiers.secvalpos = input('Enter [vector] for position of\n unique values to return (eg section numbers): ');
    cfg.ELidentifiers.recordnames = input('Means of identifying trials, blocks etc (eg {TRIALID}): ');
    cfg.ELidentifiers.recordpos = input('Enter [vector] for position of\n recordnames in the ASCII data line: ');
    cfg.ELidentifiers.recordvalpos = input('Enter [vector] for position of\ntrial IDs in the ASCII data line: ');
end



if ~isfield(cfg, 'pixperdegloc')
    cfg.pixperdegloc = 0;
    fprintf('either specify string of the variable where\npixel per degree info is stored,\n or enter the value. -1 = skip: ');
end


if isfield(cfg, 'ROI')
    if ~isfield(cfg.ROI, 'x1')
        cfg.ROI.x1 = input('enter vector of the left x position of each ROI: ');
    end
    
    if ~isfield(cfg.ROI, 'x2')
        cfg.ROI.x2 = input('enter vector of the right x position of each ROI: ');
    end
    
    if ~isfield(cfg.ROI, 'y1')
        cfg.ROI.y1 = input('enter vector of the top y position of each ROI: ');
    end
    
    if ~isfield(cfg.ROI, 'y2')
        cfg.ROI.y2 = input('enter vector of the bottom y position of each ROI: ');
    end
    
    if ~isfield(cfg.ROI, 'name')
        cfg.ROI.name = input('enter a {cell} for the names of the ROIs: ');
    end
    
else
    getROI = input('Enter ROIs? 1=Yes: ');
    if getROI==1
        cfg.ROI.x1 = input('enter vector of the left x position of each ROI: ');
        cfg.ROI.x2 = input('enter vector of the right x position of each ROI: ');
        cfg.ROI.y1 = input('enter vector of the top y position of each ROI: ');
        cfg.ROI.y2 = input('enter vector of the bottom y position of each ROI: ');
        cfg.ROI.name = input('enter a {cell} for the names of the ROIs: ');
    else
        cfg.ROI.x1 = []; cfg.ROI.x2 = [];
        cfg.ROI.y1 = []; cfg.ROI.y2 = [];
        cfg.ROI.name = '';
    end
end

