function writerawELfile(dat, savename, cfg)
%write data for each phase of the experiment.
%   columns = pno, trial ID, choice,
%   fixation number, x, y, duration, pupil size, confidence,
%   decision time, confidence response time.

disp('Writing raw data to csv...');
writefilename = strcat(savename(1:end-4), '_raw.csv');

eyePno = cfg.flname(1:end-4);
bhrPno = cfg.bhrname(1:end-4);


fid = fopen(writefilename, 'w');

hdr = {'bhrFilename', 'eyeFilename', 'trialNo', 'sectionNo', ...
        'fixationNo', 'x', 'y', 'fixOnset', 'fixDur'};

for h = 1:length(hdr)
    fprintf(fid, '%s,', hdr{h});
end

fprintf(fid, '\n'); %new line

% add data to file
for i = 1:size(dat,1)
    
    fprintf(fid, '%s,', bhrPno, eyePno);
    
    for j = 1:size(dat,2)
        fprintf(fid, '%1.2f,', dat(i,j));
    end
    
    fprintf(fid, '\n');

end

fclose(fid);


if cfg.movefile == 1
    %move csv file
    if ~exist('datafiles/Raw', 'dir')
        mkdir('datafiles/Raw');
    end

    dest = strcat(cd, '/datafiles/Raw');
    movefile(writefilename, dest, 'f');
end

end